%define upstream_name Image_Transform
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.9.4
Release:     	%mkrel 1
Summary:    	Provides a standard interface to manipulate images using different libraries
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Image_Transform-%{version}.tgz
URL: 		http://pear.php.net/package/Image_Transform
BuildRequires: 	php-pear >= 1.4.7
BuildArch: 	noarch

%description
This package was written to provide a simpler and cross-library interface
to doing image transformations and manipulations.
It provides :

* support for GD, ImageMagick, Imagick and NetPBM
* files related functions
* addText
* Scale (by length, percentage, maximum X/Y)
* Resize
* Rotate (custom angle)
* Crop
* Mirror (Most drivers)
* Flip (Most drivers)
* Add border (soon)
* Add shadow (soon)

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Image_Transform.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Image_Transform.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Image_Transform
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Image_Transform.xml


%changelog

* Tue Mar 06 2012 spuhler <spuhler> 0.9.4-1.mga2
+ Revision: 219572
- upgrade to 0.9.4
  pearized spec

* Sat Feb 05 2011 spuhler <spuhler> 0.9.1-6.mga1
+ Revision: 47497
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Image_Transform

